%  compressutil - In memory compression utility.   
%   
%  CALL:   
%      out = compressutil(in, modus, level)   
%   
%  INPUT:   
%      in: <int8[]|uint8[]|char[]>   
%           Array of any size of class int8, uint8 or char   
%      modus: <string>   
%           'compress'   ==> compress data   
%           'uncompress' ==> uncompress data   
%      level: <number>   
%           the compression level (0-9)   
%   
%  OUTPUT:   
%      out: <int8[]>   
%          compressed byte array.   
%   
%  ACKNOWLEDGEMENT:   
%  The code in this utility for methods compress_gz and uncompress_gz is   
%  based on the how to explanation on:   
%  http://undocumentedmatlab.com/blog/savezip-utility   
%   
%    Copyright 2006-2015 Modelit, www.modelit.nl   
%   
%  See also: compress uncompress   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
