%  fig2base64 - Convert figure to base64, to be used in HTML <img> element.   
%   
%  CALL:   
%   base64 = fig2base64(HWIN, format)   
%   
%  INPUT:   
%      HWIN: <handle>   
%        handle of figure to convert to a base64 array   
%      format: <string>   
%        (optional) with image format, default value: png   
%   
%  OUTPUT:   
%     base64: <string>   
%       Base64 coded image (for HTML)   
%      data: <int8[]>   
%        bytearray, use this with the correct mime-type (e.g. image/png) to directly display an   
%        image in the browser   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
